---
title: "CAPEv2 Sandbox Teil 3: Interaktive Analyse"
date: 2023-12-27
draft: true
---

Im letzten Teil dieser Reihe haben wir eine grundlegende CAPEv2-Umgebung aufgebaut. 
Außerhalb dieser Blogpost-Reihe habe ich auch noch ein paar andere VMs installiert mit anderen Betriebssystemen.

## Guacamole installieren

```sh
cd /opt/CAPEv2/installer/
./cape2.sh guacamole | tee guacamole.log
systemctl status guacd guac-web
```

## CAPE-Web-Service

in der `/opt/CAPEv2/conf/web.conf` das Guacamole-Feature aktivieren:
```ini
[guacamole]
enabled = yes
mode = vnc
username =
password =
guacd_host = localhost
guacd_port = 4822
# Server that exposes the VNC ports (e.g., your KVM host)
vnc_host = localhost
# You might need to add your server IP to ALLOWED_HOSTS in web/web/settings.py if it not ["*""]
# vnc or rdp
guest_protocol = vnc
guacd_recording_path = /opt/CAPEv2/storage/guacrecordings
guest_width = 1280
guest_height = 1024
# rdp settings
guest_rdp_port = 3389
```

In dieser Datei kann man auch z.B. Authentifizierung aktivieren, persönlich würde ich das jedoch eher an einem
vorgelagerten Reverse-Proxy bzw. WAF tun.  

Nach der Änderung dieser Konfiguration sollte man die `cape-web` und `guacd`-Dienste neu starten.  

## Webserver/Reverse-Proxy

Die genauere Konfiguration für Nginx im Produktivbetrieb ist etwas aufwändiger, siehe dazu
[CAPEv2 Docs Nginx](https://capev2.readthedocs.io/en/latest/usage/web.html#best-practices-for-production)
